Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Interface Service3OsgiR8OptionalField

All Known Implementing Classes:
  `Service3OsgiR8OptionalFieldImpl`

public interface Service3OsgiR8OptionalField

## Method Summary

Modifier and Type
Method
Description
`Optional<ServiceInterface1>`
`getOptionalService1()`
`Optional<ServiceInterface5>`
`getOptionalService5()`

## Method Details

### getOptionalService1

Optional<ServiceInterface1> getOptionalService1()

### getOptionalService5

Optional<ServiceInterface5> getOptionalService5()